﻿using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

namespace BMPViewer
{
    public partial class PictureInfo : Form
    {
        public BMPViewerForm Drawbmp;

        public PictureInfo(BMPViewerForm DrawBMP)
        {
            InitializeComponent();
            Drawbmp = new BMPViewerForm();
            Drawbmp = DrawBMP;
        }

        public void PictureInfo_Load(object sender, EventArgs e)
        {
            if (Drawbmp == null)
                Drawbmp = new BMPViewerForm();

            File_Size.Text    = Drawbmp.FileSize.ToString() + " Byte";
            Offset_Data.Text  = Drawbmp.Offset_Bitmap.ToString() + " Byte";
            Info_Header.Text  = Drawbmp.Header_Size.ToString() + " Byte";
            Image_Width.Text  = Drawbmp.image_Width.ToString() + " Pixel";
            Image_Height.Text = Drawbmp.image_Height.ToString() + " Pixel";

            Planes_Number.Text    = Drawbmp.Num_of_Planes.ToString();
            BitsPixel_Number.Text = Drawbmp.Bit_Pixel_Number.ToString() + " Bit/Pixel";

            Comp_Type.Text      = Drawbmp.Compression_Type.ToString();
            ImageData_Size.Text = Drawbmp.Image_Size.ToString() + " Byte";

            h_pixels_meter.Text = Drawbmp.HorzResolution.ToString() + " Pixel/Meter";
            v_pixels_meter.Text = Drawbmp.VertResolution.ToString() + " Pixel/Meter";

            Colors_Number.Text   = Drawbmp.Colors_Number.ToString();
            impColor_Number.Text = Drawbmp.imp_Colors_Number.ToString();
        }
    }
}
